﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using tmpReSharperTest;

namespace TestProject1
{
    /// <summary>
    ///This is a test class for MyLogicTest and is intended
    ///to contain all MyLogicTest Unit Tests
    ///</summary>
    [TestClass]
    public class MyLogicTest
    {
        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext { get; set; }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion

        /// <summary>
        ///A test for SubLogic
        ///</summary>
        [TestMethod]
        [DeploymentItem( "tmpReSharperTest.dll" )]
        public void SubLogicTest()
        {
            var target = new MyLogic_Accessor();
            MySubLogic expected = null;
            MySubLogic actual;

            //bug 1. Accessor
            target.SubLogic = expected;
            actual = target.SubLogic;

            Assert.AreEqual( expected, actual );
        }
    }
}
